<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.dayou.mapper.OperationLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.dayou.entity.OperationLog">
        <result column="id" property="id" />
        <result column="deleted" property="deleted" />
        <result column="created" property="created" />
        <result column="modified" property="modified" />
        <result column="user_id" property="userId" />
        <result column="user_name" property="userName" />
        <result column="title" property="title" />
        <result column="operation_type" property="operationType" />
        <result column="operation_url" property="operationUrl" />
        <result column="operation_param" property="operationParam" />
        <result column="operation_time" property="operationTime" />
        <result column="ip" property="ip" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,
        deleted,
        created,
        modified,
        user_id, user_name,title, operation_type, operation_url, operation_param, operation_time,ip
    </sql>

</mapper>
